RABBITMQ-PLUGINS(1)

NAME
rabbitmq-plugins - command line tool for managing RabbitMQ broker plugins

SYNOPSIS

rabbitmq-plugins {command} [command options...]

DESCRIPTION

rabbitmq-plugins is a command line tool for managing RabbitMQ broker plugins. It allows one to enable, disable and browse plugins. It must be run by a user with write permissions to the RabbitMQ configuration directory.

Some plugins depend on others to work correctly. rabbitmq-plugins traverses these dependencies and enables all required plugins. Plugins listed on the rabbitmq-plugins command line are marked as explicitly enabled; dependent plugins are marked as implicitly enabled. Implicitly enabled plugins are automatically disabled again when they are no longer required.

COMMANDS

list [-v] [-m] [-E] [-e] [pattern]

    -v
        Show all plugin details (verbose).

    -m
        Show only plugin names (minimal).

    -E
        Show only explicitly enabled plugins.

    -e
        Show only explicitly or implicitly enabled plugins.

    pattern
        Pattern to filter the plugin names by.

    Lists available plugins, their versions, dependencies and descriptions. Each plugin is prefixed with a status indicator - [ ] to indicate that the plugin is not enabled, [E] to indicate that it is explicitly enabled, and [e] to indicate that it is implicitly enabled.

    If the optional pattern is given, only plugins whose name matches pattern are shown.

enable {plugin ...}

    plugin
        One or more plugins to enable.

    Enables the specified plugins and all their dependencies.

disable {plugin ...}

    plugin
        One or more plugins to disable.

    Disables the specified plugins and all plugins that depend on them.

EXAMPLES

rabbitmq-plugins list
    This command lists all the plugins available, on one line each.

rabbitmq-plugins list -v
    This command lists all the plugins available.

rabbitmq-plugins list -v management
    This command lists all the plugins available, but does not display plugins whose name does not contain "management".

rabbitmq-plugins list -e rabbit
    This command lists all implicitly or explicitly enabled RabbitMQ plugins.

rabbitmq-plugins enable rabbitmq_shovel rabbitmq_management
    This command enables the shovel and management plugins and all their dependencies.

rabbitmq-plugins disable amqp_client
    This command disables amqp_client and all plugins that depend on it.

AUTHOR

The RabbitMQ Team <info@rabbitmq.com>